com.pixelmed.ftp

## Class FTPRemoteHostConfigurationDialog

- java.lang.Object
- - com.pixelmed.ftp.FTPRemoteHost
  - - com.pixelmed.ftp.FTPRemoteHostConfigurationDialog

    public class FTPRemoteHostConfigurationDialog
    extends FTPRemoteHost

This class implements a dialog for users to enter ftp remote host configuration parameters.

### Field Summary

Fields
`protected static java.lang.String` `badFieldString`
`protected javax.swing.JTextField` `directoryField`
`protected javax.swing.JTextField` `hostField`
`protected java.lang.String` `localName`
`protected javax.swing.JTextField` `localNameField`
`protected javax.swing.JTextField` `passwordField`
`protected javax.swing.JMenu` `securityMenu`
`protected javax.swing.JTextField` `userField`

### Fields inherited from class com.pixelmed.ftp.FTPRemoteHost

`directory, host, password, security, user`

### Constructor Summary

Constructors
Constructor and Description
`FTPRemoteHostConfigurationDialog()` Create new ftp remote host information.
`FTPRemoteHostConfigurationDialog(java.awt.Component parent)` Create new ftp remote host information.
`FTPRemoteHostConfigurationDialog(java.awt.Component parent, java.lang.String localName)` Create new ftp remote host information.
`FTPRemoteHostConfigurationDialog(java.awt.Component parent, java.lang.String localName, FTPRemoteHost frh)` Configure ftp remote host information.
`FTPRemoteHostConfigurationDialog(java.lang.String localName, FTPRemoteHost frh)` Configure ftp remote host information.

### Method Summary

Methods
`protected void` `doCommonConstructorStuff(java.awt.Component parent)`
`java.lang.String` `getLocalName()`
`static void` `main(java.lang.String[] arg)` Main method for testing.

### Methods inherited from class com.pixelmed.ftp.FTPRemoteHost

`equals, getDirectory, getHost, getPassword, getSecurity, getUser, setDirectory, setHost, setPassword, setSecurity, setSecurity, setUser, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### badFieldString

    protected static final java.lang.String badFieldString

See Also:
  Constant Field Values

#### localName

    protected java.lang.String localName

#### localNameField

    protected javax.swing.JTextField localNameField

#### hostField

    protected javax.swing.JTextField hostField

#### userField

    protected javax.swing.JTextField userField

#### passwordField

    protected javax.swing.JTextField passwordField

#### directoryField

    protected javax.swing.JTextField directoryField

#### securityMenu

    protected javax.swing.JMenu securityMenu

### Constructor Detail

#### FTPRemoteHostConfigurationDialog

    public FTPRemoteHostConfigurationDialog(java.awt.Component parent,
                                    java.lang.String localName,
                                    FTPRemoteHost frh)

Configure ftp remote host information.

Parameters:
  `parent` - the parent component (JFrame or JDialog) on which the new dialog is centered, may be null in which case centered on the screen
  `localName` - the local name for the remote host
  `frh` - the current information whose contents are to be replaced with updated information

#### FTPRemoteHostConfigurationDialog

    public FTPRemoteHostConfigurationDialog(java.lang.String localName,
                                    FTPRemoteHost frh)

Configure ftp remote host information.

Parameters:
  `localName` - the local name for the remote host
  `frh` - the current information whose contents are to be replaced with updated information

#### FTPRemoteHostConfigurationDialog

    public FTPRemoteHostConfigurationDialog(java.awt.Component parent,
                                    java.lang.String localName)

Create new ftp remote host information.

Parameters:
  `parent` - the parent component (JFrame or JDialog) on which the new dialog is centered, may be null in which case centered on the screen
  `localName` - the local name for the remote host

#### FTPRemoteHostConfigurationDialog

    public FTPRemoteHostConfigurationDialog(java.awt.Component parent)

Create new ftp remote host information.

Parameters:
  `parent` - the parent component (JFrame or JDialog) on which the new dialog is centered, may be null in which case centered on the screen

#### FTPRemoteHostConfigurationDialog

    public FTPRemoteHostConfigurationDialog()

Create new ftp remote host information.

### Method Detail

#### getLocalName

    public java.lang.String getLocalName()

#### doCommonConstructorStuff

    protected void doCommonConstructorStuff(java.awt.Component parent)

#### main

    public static void main(java.lang.String[] arg)

Main method for testing.

Parameters:
  `arg` - array of zero strings - no command line arguments are expected